Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.experiment
Class Replication

    java.lang.Object
      nl.tudelft.simulation.dsol.experiment.Replication

All Implemented Interfaces:
  java.io.Serializable

public class Replication
extends java.lang.Object
implements java.io.Serializable

The replication of a runcontrol.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.4
Version:
  1.7 Apr 7, 2004
Author:
  Peter Jacobs
See Also:
  Serialized Form

Constructor Summary
`Replication(RunControl runControl, int number)` constructs a new Replication

Method Summary
`java.lang.String` | `getDescription()` gets the description of this replication
`int` | `getNumber()` returns the number of this replication
`RunControl` | `getRunControl()` returns the parental RunControl
`nl.tudelft.simulation.jstats.streams.StreamInterface` | `getStream(java.lang.String name)` returns a specific stream
`java.util.Map` | `getStreams()` returns the streams
`void` | `reset()` resets the RunControl
`void` | `setDescription(java.lang.String description)` Sets the description of this replication
`void` | `setStreams(java.util.Map streams)` sets the stream for this replication
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Replication

    public Replication(RunControl runControl,
                       int number)

  constructs a new Replication

Parameters:
  `runControl` - reflects the RunControl
  `number` - the number

Method Detail

### getDescription

    public java.lang.String getDescription()

  gets the description of this replication

  Returns:
    String the description of this replication

### getNumber

    public int getNumber()

  returns the number of this replication

  Returns:
    int the number

### getRunControl

    public RunControl getRunControl()

  returns the parental RunControl

  Returns:
    RunControl the runcontrol

### getStreams

    public java.util.Map getStreams()

  returns the streams

  Returns:
    Map the streams of this replication

### getStream

    public nl.tudelft.simulation.jstats.streams.StreamInterface getStream(java.lang.String name)

  returns a specific stream

  Parameters:
    `name` - the name of the stream
  Returns:
    StreamInterface the stream

### reset

    public void reset()

  resets the RunControl

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of this replication

  Parameters:
    `description` - the description of this replication

### setStreams

    public void setStreams(java.util.Map streams)

  sets the stream for this replication

  Parameters:
    `streams` - the map of stream,name tuples

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.